stages:
  - docker

docker image:
  image: docker:20.10-git
  stage: docker
  services:
    - docker:20.10-dind
  script:
    - VERSION=$(git describe --tags --abbrev=0 | cut -c2-)
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build -t $CI_REGISTRY/pw-order-of-devs/go/go-base-image:${VERSION} .
    - docker push $CI_REGISTRY/pw-order-of-devs/go/go-base-image:${VERSION}
  only:
    - tags
